﻿using Supabase.Postgrest.Attributes;
using Supabase.Postgrest.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TestProject1
{
    public class Restaurants : BaseModel
    {
        [PrimaryKey("id")] public int id { get; set; }

        [Column("name")] public string name { get; set; }

        [Column("location")] public string location { get; set; }

        [Column("cuisin")] public string cuisin { get; set; }

        [Column("picture")] public string picture { get; set; }
    }

    public class Concerts : BaseModel
    {
        [PrimaryKey("id")] public int id { get; set; }

        [Column("singer")] public string singer { get; set; }

        [Column("genre")] public string genre { get; set; }

        [Column("price")] public string price { get; set; }
        
        [Column("date")] public string date { get; set; }
        [Column("picture")] public string picture { get; set; }
    }

    public class Benchs : BaseModel
    {
        [PrimaryKey("id")] public int id { get; set; }

        [Column("district")] public string district { get; set; }

        [Column("coordinates")] public string coordinates { get; set; }

        [Column("state")] public string state { get; set; }

        [Column("picture")] public string picture { get; set; }
    }

    public class Exhibition : BaseModel
    {
        [PrimaryKey("id")] public int id { get; set; }

        [Column("name")] public string name { get; set; }

        [Column("location")] public string location { get; set; }

        [Column("price")] public string price { get; set; }

        [Column("date")] public string date { get; set; }

        [Column("picture")] public string picture { get; set; }
    }

    public class Movie : BaseModel
    {
        [PrimaryKey("id")] public int id { get; set; }

        [Column("name")] public string name { get; set; }

        [Column("genre")] public string genre { get; set; }

        [Column("price")] public string price { get; set; }

        [Column("date")] public string date { get; set; }

        [Column("picture")] public string picture { get; set; }
    }
}
